clang-tools 10.0.0

Classes | Namespaces | Functions
ParsedAST.h File Reference
`#include "CollectMacros.h"`
`#include "Compiler.h"`
`#include "Diagnostics.h"`
`#include "Headers.h"`
`#include "Path.h"`
`#include "Preamble.h"`
`#include "index/CanonicalIncludes.h"`
`#include "clang/Frontend/FrontendAction.h"`
`#include "clang/Frontend/PrecompiledPreamble.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "clang/Tooling/Syntax/Tokens.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include <memory>`
`#include <string>`
`#include <vector>`
Include dependency graph for ParsedAST.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::ParsedAST
| Stores and provides access to parsed AST. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::Optional< ParsedAST > | clang::clangd::buildAST (PathRef FileName, std::unique_ptr< CompilerInvocation > Invocation, llvm::ArrayRef< Diag > CompilerInvocationDiags, const ParseInputs &Inputs, std::shared_ptr< const PreambleData > Preamble)
| Build an AST from provided user inputs. More...
void | clang::clangd::dumpAST (ParsedAST &AST, llvm::raw_ostream &OS)
| For testing/debugging purposes. More...